Tải video
Tải file MP4 của một job đã hoàn tất. File được truyền qua ApiLux nên bạn chỉ cần API key của ApiLux.
Đã triển khai
Request
GET
/videos/generations/{jobId}/contentCần header Authorization: Bearer apl_...
| Field | Kiểu | Mô tả |
|---|---|---|
jobIdbắt buộc | string (path) | Job ID đã ở trạng thái completed. |
Response
| Field | Kiểu | Mô tả |
|---|---|---|
(binary)bắt buộc | video/mp4 | Nội dung file MP4. |
Tính tiền
Miễn phí. Tiền đã trừ lúc tạo job.
Ví dụ
curl https://apilux.net/api/v1/videos/generations/vidjob_YOUR_JOB_ID/content \
-H "Authorization: Bearer apl_YOUR_API_KEY" \
-o video.mp4Lỗi
| HTTP | Mã | Ý nghĩa |
|---|---|---|
| 401 | auth_missing_or_malformed | Thiếu header Authorization hoặc sai định dạng. Phải là Bearer apl_.... |
| 401 | auth_invalid | API key không tồn tại. |
| 401 | auth_revoked | API key đã bị thu hồi. |
| 401 | auth_expired | API key đã hết hạn. |
| 400 | invalid_request | Job chưa completed nên chưa có file. |
| 404 | not_found | Job không tồn tại hoặc không thuộc về bạn. |
Ghi chú
ApiLux không cam kết lưu trữ video vĩnh viễn. Tải file về ngay sau khi job hoàn tất.